## python-canmatrix 0.9.1~github

=== requirements.txt ===
click
lxml
xlwt
xlrd
xlsxwriter
pyyaml
future
attrs>=18.1.0
typing; python_version < '3.5'
pathlib2

## python-canmatrix 0.5

=== debian/changelog ===
python-canmatrix (0.5-1) unstable; urgency=medium

  * New upstream version 0.5
  * Dropped patches included upstream.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 21 Oct 2016 11:05:15 +0200

python-canmatrix (0.4-2) unstable; urgency=medium

  * Factored out canmatrix-utils package
  * Recommend optional libraries for additional formats
  * Python2 support
    * python-canmatrix depends on python-future
  * Fixed Vcs-* stanzas

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 26 Sep 2016 20:57:39 +0200

python-canmatrix (0.4-1) unstable; urgency=medium

  * Initial release (closes: #837806)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 15 Sep 2016 14:43:49 +0200

=== debian/control ===
Source: python-canmatrix
Section: python
Priority: optional
Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dh-python,
  python-all,
  python-setuptools,
  python3-all,
  python3-setuptools,
Standards-Version: 3.9.8
Homepage: http://github.com/ebroecker/canmatrix
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-canmatrix.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-canmatrix.git

Package: python-canmatrix
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python-future,
Recommends: ${python:Recommends},
 python-xlrd,
 python-xlsxwriter,
 python-xlwt,
Suggests: ${python:Suggests},
Description: Handle CAN (Controller Area Network) database formats - Python 2.x
 Canmatrix implements a "Python CAN Matrix Object" which describes the
 CAN-communication itself and some auxiliary objects (Boardunits, Frames,
 Signals, Values, ...)
 There are also some extract and merge options for dealing with CAN databases.
 .
 Supported file formats for import:
  * .dbc candb / Vector
  * .dbf Busmaster (open source!)
  * .kcd kayak (open source!)
  * .arxml autosar system description
  * .yaml dump of the Python object
  * .xls(x) excel xls-import, works with .xls-file generated by this lib
  * .sym peak pcan can description
 Supported file formats for export:
  * .dbc
  * .dbf
  * .kcd
  * .xls(x)
  * .json Canard (open source!)
  * .arxml (very basic implementation)
  * .yaml (dump of the Python object)
  * .sym
 .
 This package provides the Python-2.x bindings

Package: python3-canmatrix
Architecture: all
Depends:
 ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends},
 python3-xlrd,
 python3-xlsxwriter,
 python3-xlwt,
Suggests: ${python3:Suggests},
Description: Handle CAN (Controller Area Network) database formats
 Canmatrix implements a "Python CAN Matrix Object" which describes the
 CAN-communication itself and some auxiliary objects (Boardunits, Frames,
 Signals, Values, ...)
 There are also some extract and merge options for dealing with CAN databases.
 .
 Supported file formats for import:
  * .dbc candb / Vector
  * .dbf Busmaster (open source!)
  * .kcd kayak (open source!)
  * .arxml autosar system description
  * .yaml dump of the Python object
  * .xls(x) excel xls-import, works with .xls-file generated by this lib
  * .sym peak pcan can description
 Supported file formats for export:
  * .dbc
  * .dbf
  * .kcd
  * .xls(x)
  * .json Canard (open source!)
  * .arxml (very basic implementation)
  * .yaml (dump of the Python object)
  * .sym
 .
 This package provides the Python-3.x bindings

Package: canmatrix-utils
Architecture: all
Section: electronics
Breaks: python3-canmatrix (<< 0.4-2)
Replaces: python3-canmatrix (<< 0.4-2)
Depends: ${misc:Depends}, ${python:Depends},
 python-canmatrix,
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Description: Handle CAN (Controller Area Network) descriptions - cmdline utilities
 Canmatrix implements a "Python CAN Matrix Object" which describes the
 CAN-communication itself and some auxiliary objects (Boardunits, Frames,
 Signals, Values, ...)
 Canmatrix also includes two Tools (canconvert and cancompare) for
 converting and comparing CAN databases. There are also some extract and merge
 options for dealing with CAN databases.
 .
 Supported file formats for import:
  * .dbc candb / Vector
  * .dbf Busmaster (open source!)
  * .kcd kayak (open source!)
  * .arxml autosar system description
  * .yaml dump of the Python object
  * .xls(x) excel xls-import, works with .xls-file generated by this lib
  * .sym peak pcan can description
 Supported file formats for export:
  * .dbc
  * .dbf
  * .kcd
  * .xls(x)
  * .json Canard (open source!)
  * .arxml (very basic implementation)
  * .yaml (dump of the Python object)
  * .sym
 .
 This package provides the cmdline tools.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=canmatrix
export PYBUILD_AFTER_INSTALL_python2=mv {destdir}/usr/bin/ .pybuild/utils/
export PYBUILD_AFTER_INSTALL_python3=rm -rf {destdir}/usr/bin/
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
# try also https://pypi.debian.net/canmatrix/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/canmatrix/canmatrix-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-canmatrix 0.6

=== debian/changelog ===
python-canmatrix (0.6-2) unstable; urgency=medium

  * Switched canmatrix-utils to Python3
  * Updated d/watch to use pypi.python.org
  * Bumped standards version to 4.1.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 15 Dec 2017 16:20:11 +0100

python-canmatrix (0.6-1) unstable; urgency=medium

  * New upstream version 0.6
  * Generated python*:Recommends from requires.txt
  * Dropped manual Recommends and unused Recommends/Suggests
  * Updated d/copyright
  * Switched Homepage field to https://
  * Bumped standards version to 4.1.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 25 Oct 2017 13:18:13 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
   python-setuptools,
   python3-all,
   python3-setuptools,
-Standards-Version: 3.9.8
-Homepage: http://github.com/ebroecker/canmatrix
+Standards-Version: 4.1.2
+Homepage: https://github.com/ebroecker/canmatrix
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-canmatrix.git
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-canmatrix.git
 
@@ -18,9 +18,6 @@
 Depends: ${misc:Depends}, ${python:Depends},
  python-future,
 Recommends: ${python:Recommends},
- python-xlrd,
- python-xlsxwriter,
- python-xlwt,
 Suggests: ${python:Suggests},
 Description: Handle CAN (Controller Area Network) database formats - Python 2.x
  Canmatrix implements a "Python CAN Matrix Object" which describes the
@@ -53,9 +50,6 @@
 Depends:
  ${misc:Depends}, ${python3:Depends},
 Recommends: ${python3:Recommends},
- python3-xlrd,
- python3-xlsxwriter,
- python3-xlwt,
 Suggests: ${python3:Suggests},
 Description: Handle CAN (Controller Area Network) database formats
  Canmatrix implements a "Python CAN Matrix Object" which describes the
@@ -86,12 +80,8 @@
 Package: canmatrix-utils
 Architecture: all
 Section: electronics
-Breaks: python3-canmatrix (<< 0.4-2)
-Replaces: python3-canmatrix (<< 0.4-2)
-Depends: ${misc:Depends}, ${python:Depends},
- python-canmatrix,
-Recommends: ${python:Recommends}
-Suggests: ${python:Suggests}
+Depends: ${misc:Depends}, ${python3:Depends},
+ python3-canmatrix (>= ${source:Upstream-Version}), python3-canmatrix (<< ${source:Upstream-Version}+1~),
 Description: Handle CAN (Controller Area Network) descriptions - cmdline utilities
  Canmatrix implements a "Python CAN Matrix Object" which describes the
  CAN-communication itself and some auxiliary objects (Boardunits, Frames,

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=canmatrix
export PYBUILD_AFTER_INSTALL_python2=rm -rf {destdir}/usr/bin/
export PYBUILD_AFTER_INSTALL_python3=mv {destdir}/usr/bin/ .pybuild/utils/
DH_PYTHON_OPTIONS = \
		--recommends-section=arxml \
		--recommends-section=dbc \
		--recommends-section=dbf \
		--recommends-section=fibex \
		--recommends-section=json \
		--recommends-section=kcd \
		--recommends-section=sym \
		--recommends-section=xls \
		--recommends-section=xlsx \
		--recommends-section=yaml \
		$(empty)

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_python2:
	dh_python2 $(DH_PYTHON_OPTIONS)
override_dh_python3:
	dh_python3 $(DH_PYTHON_OPTIONS)

=== debian/watch ===
# process this file with uscan(1)
version=4
opts=dversionmangle=s/~(dfsg|repack)([.]?[0-9]*)?$//,uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.python.org/packages/source/c/canmatrix/ \
 canmatrix-([\d\.]+)@ARCHIVE_EXT@ debian uupdate

## python-canmatrix 0.9.1~github

=== debian/changelog ===
python-canmatrix (0.9.1~github-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 0.9.1~github
    * Refresh patches
  * Fix install path of utilities
  * Install examples
  * Declare that building this package does not require "root" powers

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 09 Jan 2020 16:53:49 +0100

python-canmatrix (0.8~github-1) unstable; urgency=medium

  * New upstream version 0.8~github

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add patch to replace 'pathlib2' on Py3
  * Drop "python-canmatrix" as part of the Python2 removal in bullseye
  * Add more Build-Dependencies (for tests)
  * Disable some broken tests
  * Update d/watch to monitor github rather than pypi
  * Bump dh-compat to 12
  * Bump standards version to 4.4.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 10 Sep 2019 16:07:44 +0200

python-canmatrix (0.6-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Added generic python tests for DebCI
  * Bumped standards version to 4.1.4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 18 Apr 2018 15:48:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,47 +3,22 @@
 Priority: optional
 Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), dh-python,
-  python-all,
-  python-setuptools,
+Build-Depends:
+  debhelper-compat (= 12),
+  dh-python,
   python3-all,
+  python3-attr,
+  python3-future,
+  python3-pytest,
   python3-setuptools,
-Standards-Version: 4.1.2
+  python3-xlrd,
+  python3-xlwt,
+Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 Homepage: https://github.com/ebroecker/canmatrix
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-canmatrix.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-canmatrix.git
-
-Package: python-canmatrix
-Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
- python-future,
-Recommends: ${python:Recommends},
-Suggests: ${python:Suggests},
-Description: Handle CAN (Controller Area Network) database formats - Python 2.x
- Canmatrix implements a "Python CAN Matrix Object" which describes the
- CAN-communication itself and some auxiliary objects (Boardunits, Frames,
- Signals, Values, ...)
- There are also some extract and merge options for dealing with CAN databases.
- .
- Supported file formats for import:
-  * .dbc candb / Vector
-  * .dbf Busmaster (open source!)
-  * .kcd kayak (open source!)
-  * .arxml autosar system description
-  * .yaml dump of the Python object
-  * .xls(x) excel xls-import, works with .xls-file generated by this lib
-  * .sym peak pcan can description
- Supported file formats for export:
-  * .dbc
-  * .dbf
-  * .kcd
-  * .xls(x)
-  * .json Canard (open source!)
-  * .arxml (very basic implementation)
-  * .yaml (dump of the Python object)
-  * .sym
- .
- This package provides the Python-2.x bindings
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-canmatrix.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-canmatrix
 
 Package: python3-canmatrix
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #! /usr/bin/make -f
 
 export PYBUILD_NAME=canmatrix
-export PYBUILD_AFTER_INSTALL_python2=rm -rf {destdir}/usr/bin/
 export PYBUILD_AFTER_INSTALL_python3=mv {destdir}/usr/bin/ .pybuild/utils/
 DH_PYTHON_OPTIONS = \
 		--recommends-section=arxml \
@@ -17,9 +16,7 @@
 		$(empty)
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
-override_dh_python2:
-	dh_python2 $(DH_PYTHON_OPTIONS)
 override_dh_python3:
 	dh_python3 $(DH_PYTHON_OPTIONS)

## python-canmatrix 0.9.3~github

=== requirements.txt ===
click
lxml
xlwt
xlrd==1.2.0
xlsxwriter
pyyaml
future
attrs>=18.1.0
typing; python_version < '3.5'
pathlib2
enum34; python_version <= '2.7'

=== debian/changelog ===
python-canmatrix (0.9.3~github-1) unstable; urgency=medium

  * New upstream version 0.9.3~github

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add autopkgtest
  * Bump standards version to 4.5.1

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 26 Jan 2021 14:42:34 +0100

python-canmatrix (0.9.2~github-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 0.9.2~github
    * Refresh patches

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 14 Oct 2020 10:43:44 +0200

python-canmatrix (0.9.1~github-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix install paths of utilities. (Closes: #959552)

 -- Adrian Bunk <bunk@debian.org>  Fri, 29 May 2020 18:20:43 +0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends:
-  debhelper-compat (= 12),
+  debhelper-compat (= 13),
   dh-python,
   python3-all,
   python3-attr,
@@ -13,12 +13,12 @@
   python3-setuptools,
   python3-xlrd,
   python3-xlwt,
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
-Standards-Version: 4.4.1
 Homepage: https://github.com/ebroecker/canmatrix
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-canmatrix.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-canmatrix
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-canmatrix.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-canmatrix
 
 Package: python3-canmatrix
 Architecture: all

=== debian/tests/control ===
Tests: upstream
Depends: @

# autodep8-python3 is automatically run,
# if d/control contains 'Testsuite: autopkgtest-pkg-python'

=== debian/watch ===
# process this file with uscan(1)
version=4
opts=dversionmangle=s/~(ds|repack|github)([.]?[0-9]*)?$//,uversionmangle=s/(rc|a|b|c)/~\\1/,oversionmangle=s/$/~github/ \
  https://github.com/ebroecker/canmatrix/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
#https://pypi.python.org/packages/source/c/canmatrix/ canmatrix-([\d\.]+)@ARCHIVE_EXT@ debian uupdate

## python-canmatrix 0.9.5~github

=== debian/changelog ===
python-canmatrix (0.9.5~github-3) unstable; urgency=medium

  * Refresh patches with 'gbp pq'
  * Add patch for PyYaml-6 compatibility (Closes: #1022036)
  * Fix dates in d/copyright
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 20 Oct 2022 21:55:31 +0200

python-canmatrix (0.9.5~github-2) unstable; urgency=medium

  * Fix path to utilities (Closes: #1016243)
  * Drop undefined ${python3:Suggests} variable

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 05 Aug 2022 01:37:57 +0200

python-canmatrix (0.9.5~github-1) unstable; urgency=medium

  * New upstream version 0.9.5~github
    * Drop obsolete patches
  * B-D on python3-six (for !nocheck, as it is only needed for tests)
  * Switch default branch to debian/main

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 25 Jan 2022 10:07:12 +0100

python-canmatrix (0.9.3~github-2) unstable; urgency=medium

  * Fix dependencies for autopkgtests.
    Thanks to Steve Langasek <steve.langasek@canonical.com> (Closes: #1001406)
  * Have canmatrix-utils depend on python3
  * Fix installation path of util scripts
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 13 Dec 2021 09:17:56 +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,21 @@
 Section: python
 Priority: optional
 Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Uploaders:
+ Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends:
-  debhelper-compat (= 13),
-  dh-python,
-  python3-all,
-  python3-attr,
-  python3-future,
-  python3-pytest,
-  python3-setuptools,
-  python3-xlrd,
-  python3-xlwt,
+ debhelper-compat (= 13),
+ dh-python,
+ python3-all,
+ python3-attr,
+ python3-future,
+ python3-pytest,
+ python3-setuptools,
+ python3-six <!nocheck>,
+ python3-xlrd,
+ python3-xlwt,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/ebroecker/canmatrix
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-canmatrix.git
@@ -23,9 +25,10 @@
 Package: python3-canmatrix
 Architecture: all
 Depends:
- ${misc:Depends}, ${python3:Depends},
-Recommends: ${python3:Recommends},
-Suggests: ${python3:Suggests},
+ ${misc:Depends},
+ ${python3:Depends},
+Recommends:
+ ${python3:Recommends},
 Description: Handle CAN (Controller Area Network) database formats
  Canmatrix implements a "Python CAN Matrix Object" which describes the
  CAN-communication itself and some auxiliary objects (Boardunits, Frames,
@@ -55,8 +58,12 @@
 Package: canmatrix-utils
 Architecture: all
 Section: electronics
-Depends: ${misc:Depends}, ${python3:Depends},
- python3-canmatrix (>= ${source:Upstream-Version}), python3-canmatrix (<< ${source:Upstream-Version}+1~),
+Depends:
+ python3-canmatrix (<< ${source:Upstream-Version}+1~),
+ python3-canmatrix (>= ${source:Upstream-Version}),
+ python3:any,
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Handle CAN (Controller Area Network) descriptions - cmdline utilities
  Canmatrix implements a "Python CAN Matrix Object" which describes the
  CAN-communication itself and some auxiliary objects (Boardunits, Frames,

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 @,

# autodep8-python3 is automatically run,
# if d/control contains 'Testsuite: autopkgtest-pkg-python'

## python-canmatrix 1.0~github

=== debian/changelog ===
python-canmatrix (1.0~github-2) unstable; urgency=medium

  * Python3.12 compatibility (Closes: #1058267)
    + Drop dependency on 'future'
    + Stop using configparser.SafeConfigParser
  * Force shebang to python3
  * Use "dh-sequence-python3" rather than invoking dh "--with python3"

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 12 Dec 2023 15:55:02 +0100

python-canmatrix (1.0~github-1) unstable; urgency=medium

  * New upstream version 1.0~github
    (Closes: #1040280)
    + Drop obsolete patches
  * Update copyright information
    + Bump dates in d/copyright
    + Fix text of BSD-2-clause license
    + Add 'licensecheck' target
    + Generate d/copyright_hints
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 26 Jul 2023 16:38:07 +0200

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,16 @@
  Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-attr,
- python3-future,
  python3-pytest,
  python3-setuptools,
  python3-six <!nocheck>,
  python3-xlrd,
  python3-xlwt,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/ebroecker/canmatrix
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-canmatrix.git

=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,23 @@
 		--recommends-section=xls \
 		--recommends-section=xlsx \
 		--recommends-section=yaml \
+		--shebang=/usr/bin/python3 \
 		$(empty)
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_python3:
 	dh_python3 $(DH_PYTHON_OPTIONS)
+
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
+        debian/.*|test/reference/from_arxml/test_CAN\.xlsx
+# licensecheck v1
+.PHONY: licensecheck
+licensecheck:
+	LANG=C.UTF-8 licensecheck \
+		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
+		--check '.*' --recursive --deb-machine --lines 0 * \
+		> debian/copyright_newhints
+	cmp debian/copyright_hints debian/copyright_newhints \
+		&& rm debian/copyright_newhints

## python-canmatrix 1.2~github

=== debian/changelog ===
python-canmatrix (1.2~github-1) unstable; urgency=medium

  * Fix syntax error in Maintainer: field that confuses UDD & the Tracker
  * New upstream version 1.2~github
  * Use pybuild-plugin-pyproject
  * Add new build-dependencies: python3-click & python3-lxml

 -- Alexandre Detiste <tchet@debian.org>  Tue, 25 Feb 2025 21:56:17 +0100

python-canmatrix (1.0~github-3) unstable; urgency=medium

  * Adopt patckage inside DPT (Closes: #1014519)
  * Generate correct canmatrix-1.0.egg-info for PIP
  * Patch-out build-dependency on python3-six

 -- Alexandre Detiste <tchet@debian.org>  Sun, 24 Nov 2024 22:38:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,22 @@
 Source: python-canmatrix
 Section: python
 Priority: optional
-Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Debian Python Team <team+python@tracker.debian.org>,
+ Alexandre Detiste <tchet@debian.org>,
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-attr,
+ python3-click,
+ python3-lxml,
  python3-pytest,
+ python3-pytest-cov,
+ python3-pytest-timeout,
  python3-setuptools,
- python3-six <!nocheck>,
  python3-xlrd,
  python3-xlwt,
 Rules-Requires-Root: no
@@ -20,6 +25,7 @@
 Homepage: https://github.com/ebroecker/canmatrix
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-canmatrix.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-canmatrix
+X-Style: black
 
 Package: python3-canmatrix
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #! /usr/bin/make -f
 
 export PYBUILD_NAME=canmatrix
-export PYBUILD_AFTER_INSTALL_python3=mv {destdir}/usr/bin/ .pybuild/utils/
+export PYBUILD_BEFORE_TEST=mkdir -p {build_dir}/tests; cp -arv {dir}/tox.ini {dir}/tests {build_dir}/
+export PYBUILD_AFTER_TEST=rm -vf {build_dir}/coverage.lcov {build_dir}/tox.ini
+export PYBUILD_AFTER_INSTALL=mv {destdir}/usr/bin/ .pybuild/utils/
 DH_PYTHON_OPTIONS = \
 		--recommends-section=arxml \
 		--recommends-section=dbc \

=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,5 @@
-Tests: upstream
+Tests:
+ upstream,
 Depends:
  python3-all,
  @,
